@import '../variables.scss';

.block-h1 {

    .subtitle {
        justify-content: space-between;

        .utc-text {
            display: flex;
            align-items: center;
        }
    }

    .nav-btns {
        display: flex;
        justify-content: space-between;

        .btn-to-obs {
            margin-top: -20px;

            a {
                position: relative;
                padding-right: 16px;

                &::before, &::after {
                    position: absolute;
                    display: inline-block;
                    content: '';
                    background-image: url('/static/img/arrow-down.svg?b9aa362d2629');
                    width: 14px;
                    height: 10px;
                    background-size: 100%;
                    right: 0;
                    top: 4px;
                    transform: rotate(-90deg);
                }

                &::after {
                    right: 4px;
                }
            }
        }
    }

    h1 {
        position: relative;

        #copy-link-btn {
            position: absolute;
            right: 0;
            bottom: 40%;

            img {
                width: 12px;
            }
        }
    }
}

.block-observation-data {
    margin-top: 15px;

    .content {
        gap: 15px;

        .information-block {
            flex-grow: 2;
            min-width: 370px;

            .information-block__table {

                >.row {
                    gap: 10px;
                    padding: 3px 0;
                    border-top: 1px solid $gray-300;
                    align-items: center;
                    flex-wrap: nowrap;

                    .title {
                        width: 170px;

                        @media (max-width: 390px) {
                            width: 148px;
                        }
                    }

                    .description {
                        flex-grow: 1;
                        text-align: end;
                        color: $dark-50;

                        &.timerow {
                            display: flex;
                            flex-direction: column;

                            .datarow span {
                                font-family: monospace;
                            }
                        }

                        .circle {
                            margin-right: 5px;
                        }
                    }

                    &:last-child {
                        padding-top: 10px;
                    }
                }
            }

            @media (min-width: 992px) {
                position: sticky;
                height: fit-content;
                top: 80px;
            }

            @media (max-width: 767px) {
                min-width: 100%;
            }
        }

        .waterfall-block {
            flex-grow: 3;

            .nav-tabs {
                display: flex;
                gap: 12px;
                list-style: none;
                padding: 0;
                margin: 0;
                border-bottom: 1px solid $orange-400;

                .nav-item {
                    padding: 5px 5px 0;
                    border-radius: 5px 5px 0 0;
                    background-color: $gray-300;

                    &.active {
                        border: 1px solid $orange-400;
                        border-bottom: 1px solid $dark-400;
                        margin-bottom: -1px;
                        background-color: transparent;
                    }

                    a {
                        color: unset;
                        position: relative;
                    }

                    .badget {
                        bottom: unset;
                        top: -10px;
                        right: -8px;
                        position: absolute;
                        line-height: 12px;
                    }
                }

                @media (max-width: 575px) {
                    flex-wrap: wrap;
                    gap: 4px;
                    border-bottom: none;
                    min-width: 250px;

                    .nav-item {
                        flex-grow: 1;
                        text-align: center;

                        a {
                            display: inline-block;
                            width: 100%;
                        }
                    }
                }
            }

            .tab-content {
                margin-top: 15px;

                .tab-pane {
                    display: none;

                    &.active {
                        display: block;
                    }
                }

                #waterfall-tab {

                    .status-br, .vet-info {
                        display: none;
                    }

                    .waterfall-info {
                        flex-wrap: wrap;
                        gap: 6px;

                        >div {
                            gap: 10px;

                            @media (max-width: 390px) {
                                flex-grow: 1;
                                justify-content: space-between;
                            }
                        }

                        #waterfall-status-form {
                            gap: 4px;
                            flex-grow: 1;
                            justify-content: end;

                            .btn-info {
                                display: none;
                            }
                        }

                        .badget {
                            border-radius: 15px;
                        }

                        span {
                            white-space: nowrap;
                        }
                    }

                    .waterfall-img {
                        margin-top: 10px;
                        max-width: 800px;
                        width: 100%;
                    }
                }

                #audio-tab {

                    select {
                        padding: 4px;
                        cursor: pointer;
                    }

                    .wave {
                        margin-top: 10px;
                    }

                    audio {
                        width: 100%;
                    }
                }

                #data-tab, #image-tab {

                    .tabs-buttons {
                        margin-bottom: 15px;
                        gap: 4px;

                        .active {
                            background-color: $orange-400;
                        }
                    }

                    .data {
                        border: 1px solid $gray-200;
                        border-radius: 4px;
                        margin-top: 10px;
                        display: none;

                        .data__header {
                            display: flex;
                            justify-content: space-between;
                            align-items: center;
                            padding: 6px 8px;
                            background-color: $gray-200;
                            word-break: break-all;
                        }

                        .data__body {
                            padding: 6px 8px;

                            .hex {
                                font-family: monospace;
                            }

                            .ascii {
                                word-break: break-word;
                                font-family: monospace;
                            }

                            .table {

                                tr {

                                    th {
                                        white-space: nowrap;
                                        text-align: start;
                                        vertical-align: top;
                                        padding: 5px 3px;
                                        min-width: 30%;
                                    }

                                    td {
                                        word-break: break-word;
                                        padding: 5px 3px;

                                        span {
                                            font-family: monospace;
                                        }
                                    }

                                    &:last-child {
                                        border: none;
                                    }
                                }
                            }

                            img {
                                width: 100%;
                            }
                        }
                    }
                }

                #metadata-tab {
                    word-break: break-word;
                }
            }
        }
    }

    .waterfall-block__footer {
        margin-top: 30px;

        .block-copy {
            display: flex;
            align-items: center;
            justify-content: space-between;
            border: 1px solid #4a4a4a;
            padding: 8px 6px;
            margin-top: 15px;
            border-radius: 4px;

            pre {
                text-align: center;
                flex-grow: 1;
                margin: 0;
            }

            @media (max-width: 767px) {
                padding-right: 26px;
                position: relative;

                pre {
                    font-size: 10px;
                    cursor: default;
                    overflow-x: scroll;
                }

                img {
                    position: absolute;
                    right: 2px;
                }
            }
        }
    }
}

body.vet_container {

    #vet-obs-header {
        margin-top: 70px;

        #obs-loading {
            display: block;
        }

        .vet-header {
            position: relative;
            justify-content: space-between;
            align-items: end;

            .btn {
                outline: none;

                &:hover {
                    filter: hue-rotate(160deg);
                }
            }

            #btn-prev {
                transform: scale(-1, 1);
            }

            label {
                position: absolute;
                right: 0;
                bottom: -20px;

                &:hover {
                    cursor: pointer;
                }
            }
        }

        .btn-mobile {
            display: none;
        }
    }

    #vet-obs-container {

        .block-h1 {
            margin-top: 70px;

            @media (max-width: 1299px) {
                margin-top: 50px;

                #copy-link-btn {
                    bottom: 10px;
                }
            }
        }

        @media (max-width: 991px) {

            .container-observation-data .content {
                flex-wrap: wrap-reverse;
            }
        }
    }

    @media (max-width: 767px) {
        height: 100vh;
        overflow: hidden;

        header, footer, .darkmode-layer, .darkmode-toggle {
            display: none !important;
        }

        #vet-obs-header {
            margin-top: 10px;

            .vet-header {
                justify-content: center;

                button, label {
                    display: none;
                }

                strong {
                    margin-left: -50px;
                }
            }

            .btn-mobile {
                display: block;
                outline: none;
                position: absolute;
                height: 100vh;
                z-index: 1;

                &.prev {
                    left: 0;
                    padding-left: 2px;
                    background: linear-gradient(90deg, rgb(18, 18, 18) 0%, rgb(18, 18, 18) 50%, rgba(18, 18, 18, 0) 100%);
                }

                &.next {
                    right: 0;
                    padding-right: 2px;
                    background: linear-gradient(90deg, rgba(18, 18, 18, 0) 0%, rgb(18, 18, 18) 50%, rgb(18, 18, 18) 100%);
                }
            }
        }

        #vet-obs-container {

            .block-h1 {
                margin-top: 0;

                .nav-btns > div {
                    margin-top: -20px;
                    font-size: 12px;
                }

                h1, .subtitle {
                    display: none;
                }
            }

            .tab-content {
                margin: 0;
            }

            .block-observation-data {
                margin-top: 0;

                .information-block, .nav-tabs, .waterfall-block__footer {
                    display: none;
                }

                #waterfall-tab {
                    position: relative;

                    .waterfall-info > div:first-child {
                        display: none;
                    }

                    .status-br {
                        display: block;
                    }

                    .vet-info {
                        position: absolute;
                        z-index: 1;
                        width: 100%;
                        background-color: $dark-400;
                        opacity: .95;
                        top: 10px;
                        font-size: 12px;
                        line-height: 18px;

                        .col:last-child {
                            text-align: end;
                        }

                        .obs-param .col {
                            text-align: center;
                        }
                    }

                    #waterfall-status-form {
                        position: fixed;
                        bottom: 20px;
                        z-index: 10;
                        width: 100%;
                        justify-content: space-between;
                        right: 0;
                        padding: 0 20px;

                        button {
                            padding: 10px 20px;
                        }

                        .btn-info {
                            display: block;
                            position: absolute;
                            border-radius: 30px;
                            padding: 10px 14px;
                            right: calc(50% - 18px);
                        }
                    }

                    .waterfall-img {
                        height: calc(100vh - 100px);
                        object-fit: contain;
                    }
                }
            }
        }
    }
}

#DemoddataJsonModal {

    .modal-header {
        justify-content: space-between;
        padding: 10px 30px;
    }

    .modal-body {
        line-height: 16px;

        >.row {
            justify-content: space-between;

            &:hover {
                background-color: $gray-200;
            }

            code {
                font-size: 12px;
            }
        }
    }
}

////////////////////////////////////////////////////////////// Light Theme /////////////////////////////////////////////////////////////

.darkmode--activated {

    .block-observation-data .content {

        .information-block .information-block__table > .row {
            border-top-color: $gray-50;

            .description {
                color: $gray-200;
            }
        }

        .waterfall-block {

            .nav-tabs .nav-item {
                background-color: $gray-50;
                border-bottom-color: $dark-70;

                &.active {
                    background-color: transparent;
                }
            }

            .tab-content {

                #data-tab .data, #image-tab .data {
                    border-color: $gray-50;

                    .data__header {
                        background-color: $gray-50;
                    }
                }
            }
        }
    }

    &.vet_container {

        @media (max-width: 767px) {
            color: $gray-50;

            .vet-header strong {
                color: $gray-50;
            }
        }
    }

    #DemoddataJsonModal .modal-body > .row:hover {
        background-color: $gray-50;
    }
}
